﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports RFID.Reader
Imports RFID.ReaderComm

Namespace ExampleCodes
    Class HelloWorld
        Shared DEFAULT_READER_IP_ADDRESS As String = "192.168.1.120"
        Shared PORT_NUMBER As UInt16 = 5000
        Shared reader As RFIDReader = Nothing

        Public Shared Sub Main(ByVal args As String())
            Try
                Dim readerIPAddress As String = DEFAULT_READER_IP_ADDRESS
                Dim PortNumber As UInt16 = PORT_NUMBER
                Console.WriteLine("Setting up ReaderComm instance on IP Address " & readerIPAddress)
                reader = New RFIDReader(readerIPAddress, PortNumber)
                Console.WriteLine("Getting Reader Info")
                ReaderInfo()
            Catch ex As Exception
                Console.WriteLine("Main: " & ex.ToString())
            End Try
        End Sub

        Public Shared Sub ReaderInfo()
            Dim id As String = ""
            Dim status As RFIDStatus = HelloWorld.reader.GetHardwareId(id)
            Console.WriteLine("SensArray Hardware Id: " & id)
        End Sub
    End Class
End Namespace

